Mail archive
alpine-aports

[alpine-aports] [PATCH] main/lftp: Upgrade to 4.7.4. Update URL. Modernize APKBUILD.

From: Przemyslaw Pawelczyk <przemoc_at_zoho.com>
Date: Thu, 24 Nov 2016 23:36:44 +0100

---
 main/lftp/APKBUILD | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)
diff --git a/main/lftp/APKBUILD b/main/lftp/APKBUILD
index 1435364da0a7..a89d169c7410 100644
--- a/main/lftp/APKBUILD
+++ b/main/lftp/APKBUILD
_at_@ -2,21 +2,20 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=lftp
-pkgver=4.7.3
-pkgrel=1
+pkgver=4.7.4
+pkgrel=0
 pkgdesc="LFTP is sophisticated ftp/http client"
-url="http://lftp.yar.ru/"
+url="http://lftp.tech/"
 arch="all"
 license="GPL"
-depends=
 makedepends="zlib-dev libressl-dev readline-dev ncurses-dev"
 subpackages="$pkgname-doc"
 source="http://lftp.yar.ru/ftp/$pkgname-$pkgver.tar.xz"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 
 	./configure \
 		--build=$CBUILD \
_at_@ -32,13 +31,18 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make -j1 DESTDIR="$pkgdir" install
-	rm -f "$pkgdir"/usr/lib/charset.alias
-	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
-	mv "$pkgdir"/usr/share/$pkgname "$pkgdir"/usr/share/doc/
+	cd "$builddir"
+	make -j1 install \
+	     DESTDIR="$pkgdir" \
+		|| return 1
+	rm -f "$pkgdir"/usr/lib/charset.alias \
+		|| return 1
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname \
+		|| return 1
+	mv "$pkgdir"/usr/share/$pkgname "$pkgdir"/usr/share/doc/ \
+		|| return 1
 }
 
-md5sums="23deda16014412c802f095fbaa0bebee  lftp-4.7.3.tar.xz"
-sha256sums="3b22259cdc4c1a6ae349057d16bda4b4816929e04d223242ab8927bc31a48e7c  lftp-4.7.3.tar.xz"
-sha512sums="1123e322a4c4f85ced4ef57c0af80b9b20d223c2770293ada3d8ca870fe159b62c6ee8d01a8c6be50e7ec00f3e6729a46c09db3aa776471825a6998792f1250d  lftp-4.7.3.tar.xz"
+md5sums="74965c798b1806d0a2659d8a606ea47f  lftp-4.7.4.tar.xz"
+sha256sums="bf67c4d128b6f769a4082947376a9679c5ee3463a24ab761a0757f75d70bd92c  lftp-4.7.4.tar.xz"
+sha512sums="f978379b6ac0dfb46c06dee7205b0b751a75642868c4b1bf37ac681108b04a475232915bb7280ec9731af008e00e855bd9e2e8745307b6507d341f27e4025159  lftp-4.7.4.tar.xz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 24 2016 - 23:36:44 GMT